---
title: Update annotation queue label schema
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > LLM Observability
---

# Update annotation queue label schema{% #update-annotation-queue-label-schema %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                  |
| ----------------- | --------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema  |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/label-schema |

### Overview

Create or replace the label schema for a given annotation queue. The label schema defines the labels annotators can apply to interactions in the queue. Label names must be unique within the queue and match the pattern `^[a-zA-Z0-9_-]+$`. Each label must have a valid type: score, categorical, boolean, or text.

### Arguments

#### Path Parameters

| Name                       | Type   | Description                                       |
| -------------------------- | ------ | ------------------------------------------------- |
| queue_id [*required*] | string | The ID of the LLM Observability annotation queue. |

### Request

#### Body Data (required)

Update label schema payload.

{% tab title="Model" %}

| Parent field      | Field                               | Type     | Description                                                                                                |
| ----------------- | ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------- |
|                   | data [*required*]              | object   | Data object for updating an annotation queue label schema.                                                 |
| data              | attributes [*required*]        | object   | Attributes for updating an annotation queue label schema.                                                  |
| attributes        | annotation_schema [*required*] | object   | Schema defining the labels for an annotation queue.                                                        |
| annotation_schema | label_schemas [*required*]     | [object] | List of label schema definitions.                                                                          |
| label_schemas     | description                         | string   | Description of the label.                                                                                  |
| label_schemas     | has_assessment                      | boolean  | Whether this label includes an assessment field.                                                           |
| label_schemas     | has_reasoning                       | boolean  | Whether this label includes a reasoning field.                                                             |
| label_schemas     | id                                  | string   | Unique identifier of the label schema. Assigned by the server if not provided.                             |
| label_schemas     | is_assessment                       | boolean  | Whether the boolean label represents an assessment. Requires `has_assessment` to be true.                  |
| label_schemas     | is_integer                          | boolean  | Whether score values must be integers. Applicable to score-type labels.                                    |
| label_schemas     | is_required                         | boolean  | Whether this label is required for an annotation.                                                          |
| label_schemas     | max                                 | double   | Maximum value for score-type labels.                                                                       |
| label_schemas     | min                                 | double   | Minimum value for score-type labels.                                                                       |
| label_schemas     | name [*required*]              | string   | Name of the label. Must match the pattern `^[a-zA-Z0-9_-]+$` and be unique within the queue.               |
| label_schemas     | type [*required*]              | enum     | Type of a label in an annotation queue label schema. Allowed enum values: `score,categorical,boolean,text` |
| label_schemas     | values                              | [string] | Allowed values for categorical-type labels. Must contain at least one non-empty, unique value.             |
| data              | type [*required*]              | enum     | Resource type of an LLM Observability annotation queue. Allowed enum values: `queues`                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "description": "Rating of the response quality.",
            "has_assessment": false,
            "has_reasoning": false,
            "id": "abc-123",
            "is_assessment": false,
            "is_integer": false,
            "is_required": true,
            "max": 5,
            "min": 0,
            "name": "quality",
            "type": "score",
            "values": [
              "good",
              "bad",
              "neutral"
            ]
          }
        ]
      }
    },
    "type": "queues"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing the label schema of an annotation queue.

| Parent field      | Field                               | Type     | Description                                                                                                |
| ----------------- | ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------- |
|                   | data [*required*]              | object   | Data object for an annotation queue label schema.                                                          |
| data              | attributes [*required*]        | object   | Attributes of an annotation queue label schema.                                                            |
| attributes        | annotation_schema [*required*] | object   | Schema defining the labels for an annotation queue.                                                        |
| annotation_schema | label_schemas [*required*]     | [object] | List of label schema definitions.                                                                          |
| label_schemas     | description                         | string   | Description of the label.                                                                                  |
| label_schemas     | has_assessment                      | boolean  | Whether this label includes an assessment field.                                                           |
| label_schemas     | has_reasoning                       | boolean  | Whether this label includes a reasoning field.                                                             |
| label_schemas     | id                                  | string   | Unique identifier of the label schema. Assigned by the server if not provided.                             |
| label_schemas     | is_assessment                       | boolean  | Whether the boolean label represents an assessment. Requires `has_assessment` to be true.                  |
| label_schemas     | is_integer                          | boolean  | Whether score values must be integers. Applicable to score-type labels.                                    |
| label_schemas     | is_required                         | boolean  | Whether this label is required for an annotation.                                                          |
| label_schemas     | max                                 | double   | Maximum value for score-type labels.                                                                       |
| label_schemas     | min                                 | double   | Minimum value for score-type labels.                                                                       |
| label_schemas     | name [*required*]              | string   | Name of the label. Must match the pattern `^[a-zA-Z0-9_-]+$` and be unique within the queue.               |
| label_schemas     | type [*required*]              | enum     | Type of a label in an annotation queue label schema. Allowed enum values: `score,categorical,boolean,text` |
| label_schemas     | values                              | [string] | Allowed values for categorical-type labels. Must contain at least one non-empty, unique value.             |
| data              | id [*required*]                | string   | Unique identifier of the annotation queue.                                                                 |
| data              | type [*required*]              | enum     | Resource type of an LLM Observability annotation queue. Allowed enum values: `queues`                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "description": "Rating of the response quality.",
            "has_assessment": false,
            "has_reasoning": false,
            "id": "abc-123",
            "is_assessment": false,
            "is_integer": false,
            "is_required": true,
            "max": 5,
            "min": 0,
            "name": "quality",
            "type": "score",
            "values": [
              "good",
              "bad",
              "neutral"
            ]
          }
        ]
      }
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "queues"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## Boolean label schema
# 
 \# Path parameters export queue_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/label-schema" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "has_assessment": true,
            "is_assessment": true,
            "is_required": true,
            "name": "is_correct",
            "type": "boolean"
          }
        ]
      }
    },
    "type": "queues"
  }
}
EOF \## Categorical label schema
# 
 \# Path parameters export queue_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/label-schema" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "is_required": true,
            "name": "sentiment",
            "type": "categorical",
            "values": [
              "positive",
              "negative",
              "neutral"
            ]
          }
        ]
      }
    },
    "type": "queues"
  }
}
EOF \## default
# 
 \# Path parameters export queue_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/label-schema" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "is_required": true,
            "max": 5,
            "min": 0,
            "name": "quality",
            "type": "score"
          }
        ]
      }
    },
    "type": "queues"
  }
}
EOF \## Score label schema
# 
 \# Path parameters export queue_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/label-schema" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "has_reasoning": true,
            "is_required": true,
            "max": 5,
            "min": 0,
            "name": "quality",
            "type": "score"
          }
        ]
      }
    },
    "type": "queues"
  }
}
EOF \## Text label schema
# 
 \# Path parameters export queue_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/label-schema" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "annotation_schema": {
        "label_schemas": [
          {
            "is_required": false,
            "name": "feedback",
            "type": "text"
          }
        ]
      }
    },
    "type": "queues"
  }
}
EOF 
                
##### 

```python
"""
Update annotation queue label schema returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_annotation_queue_label_schema_update_attributes import (
    LLMObsAnnotationQueueLabelSchemaUpdateAttributes,
)
from datadog_api_client.v2.model.llm_obs_annotation_queue_label_schema_update_data import (
    LLMObsAnnotationQueueLabelSchemaUpdateData,
)
from datadog_api_client.v2.model.llm_obs_annotation_queue_label_schema_update_request import (
    LLMObsAnnotationQueueLabelSchemaUpdateRequest,
)
from datadog_api_client.v2.model.llm_obs_annotation_queue_type import LLMObsAnnotationQueueType
from datadog_api_client.v2.model.llm_obs_annotation_schema import LLMObsAnnotationSchema
from datadog_api_client.v2.model.llm_obs_label_schema import LLMObsLabelSchema
from datadog_api_client.v2.model.llm_obs_label_schema_type import LLMObsLabelSchemaType

body = LLMObsAnnotationQueueLabelSchemaUpdateRequest(
    data=LLMObsAnnotationQueueLabelSchemaUpdateData(
        attributes=LLMObsAnnotationQueueLabelSchemaUpdateAttributes(
            annotation_schema=LLMObsAnnotationSchema(
                label_schemas=[
                    LLMObsLabelSchema(
                        description="Rating of the response quality.",
                        has_assessment=False,
                        has_reasoning=False,
                        id="abc-123",
                        is_assessment=False,
                        is_integer=False,
                        is_required=True,
                        max=5.0,
                        min=0.0,
                        name="quality",
                        type=LLMObsLabelSchemaType.SCORE,
                        values=[
                            "good",
                            "bad",
                            "neutral",
                        ],
                    ),
                ],
            ),
        ),
        type=LLMObsAnnotationQueueType.QUEUES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_llm_obs_annotation_queue_label_schema"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.update_llm_obs_annotation_queue_label_schema(queue_id="queue_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update annotation queue label schema returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_llm_obs_annotation_queue_label_schema".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

body = DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateRequest.new({
  data: DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateData.new({
    attributes: DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateAttributes.new({
      annotation_schema: DatadogAPIClient::V2::LLMObsAnnotationSchema.new({
        label_schemas: [
          DatadogAPIClient::V2::LLMObsLabelSchema.new({
            description: "Rating of the response quality.",
            has_assessment: false,
            has_reasoning: false,
            id: "abc-123",
            is_assessment: false,
            is_integer: false,
            is_required: true,
            max: 5.0,
            min: 0.0,
            name: "quality",
            type: DatadogAPIClient::V2::LLMObsLabelSchemaType::SCORE,
            values: [
              "good",
              "bad",
              "neutral",
            ],
          }),
        ],
      }),
    }),
    type: DatadogAPIClient::V2::LLMObsAnnotationQueueType::QUEUES,
  }),
})
p api_instance.update_llm_obs_annotation_queue_label_schema("queue_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update annotation queue label schema returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateRequest{
		Data: datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateData{
			Attributes: datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateAttributes{
				AnnotationSchema: datadogV2.LLMObsAnnotationSchema{
					LabelSchemas: []datadogV2.LLMObsLabelSchema{
						{
							Description:   datadog.PtrString("Rating of the response quality."),
							HasAssessment: datadog.PtrBool(false),
							HasReasoning:  datadog.PtrBool(false),
							Id:            datadog.PtrString("abc-123"),
							IsAssessment:  datadog.PtrBool(false),
							IsInteger:     datadog.PtrBool(false),
							IsRequired:    datadog.PtrBool(true),
							Max:           datadog.PtrFloat64(5.0),
							Min:           datadog.PtrFloat64(0.0),
							Name:          "quality",
							Type:          datadogV2.LLMOBSLABELSCHEMATYPE_SCORE,
							Values: []string{
								"good",
								"bad",
								"neutral",
							},
						},
					},
				},
			},
			Type: datadogV2.LLMOBSANNOTATIONQUEUETYPE_QUEUES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateLLMObsAnnotationQueueLabelSchema", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.UpdateLLMObsAnnotationQueueLabelSchema(ctx, "queue_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.UpdateLLMObsAnnotationQueueLabelSchema`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.UpdateLLMObsAnnotationQueueLabelSchema`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update annotation queue label schema returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaResponse;
import com.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateAttributes;
import com.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateData;
import com.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateRequest;
import com.datadog.api.client.v2.model.LLMObsAnnotationQueueType;
import com.datadog.api.client.v2.model.LLMObsAnnotationSchema;
import com.datadog.api.client.v2.model.LLMObsLabelSchema;
import com.datadog.api.client.v2.model.LLMObsLabelSchemaType;
import java.util.Arrays;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateLLMObsAnnotationQueueLabelSchema", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    LLMObsAnnotationQueueLabelSchemaUpdateRequest body =
        new LLMObsAnnotationQueueLabelSchemaUpdateRequest()
            .data(
                new LLMObsAnnotationQueueLabelSchemaUpdateData()
                    .attributes(
                        new LLMObsAnnotationQueueLabelSchemaUpdateAttributes()
                            .annotationSchema(
                                new LLMObsAnnotationSchema()
                                    .labelSchemas(
                                        Collections.singletonList(
                                            new LLMObsLabelSchema()
                                                .description("Rating of the response quality.")
                                                .hasAssessment(false)
                                                .hasReasoning(false)
                                                .id("abc-123")
                                                .isAssessment(false)
                                                .isInteger(false)
                                                .isRequired(true)
                                                .max(5.0)
                                                .name("quality")
                                                .type(LLMObsLabelSchemaType.SCORE)
                                                .values(Arrays.asList("good", "bad", "neutral"))))))
                    .type(LLMObsAnnotationQueueType.QUEUES));

    try {
      LLMObsAnnotationQueueLabelSchemaResponse result =
          apiInstance.updateLLMObsAnnotationQueueLabelSchema(
              "00000000-0000-0000-0000-000000000001", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling LlmObservabilityApi#updateLLMObsAnnotationQueueLabelSchema");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update annotation queue label schema returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateAttributes;
use datadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateData;
use datadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateRequest;
use datadog_api_client::datadogV2::model::LLMObsAnnotationQueueType;
use datadog_api_client::datadogV2::model::LLMObsAnnotationSchema;
use datadog_api_client::datadogV2::model::LLMObsLabelSchema;
use datadog_api_client::datadogV2::model::LLMObsLabelSchemaType;

#[tokio::main]
async fn main() {
    let body = LLMObsAnnotationQueueLabelSchemaUpdateRequest::new(
        LLMObsAnnotationQueueLabelSchemaUpdateData::new(
            LLMObsAnnotationQueueLabelSchemaUpdateAttributes::new(LLMObsAnnotationSchema::new(
                vec![
                    LLMObsLabelSchema::new("quality".to_string(), LLMObsLabelSchemaType::SCORE)
                        .description("Rating of the response quality.".to_string())
                        .has_assessment(false)
                        .has_reasoning(false)
                        .id("abc-123".to_string())
                        .is_assessment(false)
                        .is_integer(false)
                        .is_required(true)
                        .max(5.0 as f64)
                        .min(0.0 as f64)
                        .values(vec![
                            "good".to_string(),
                            "bad".to_string(),
                            "neutral".to_string(),
                        ]),
                ],
            )),
            LLMObsAnnotationQueueType::QUEUES,
        ),
    );
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateLLMObsAnnotationQueueLabelSchema", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .update_llm_obs_annotation_queue_label_schema("queue_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update annotation queue label schema returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateLLMObsAnnotationQueueLabelSchema"] =
  true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

const params: v2.LLMObservabilityApiUpdateLLMObsAnnotationQueueLabelSchemaRequest =
  {
    body: {
      data: {
        attributes: {
          annotationSchema: {
            labelSchemas: [
              {
                description: "Rating of the response quality.",
                hasAssessment: false,
                hasReasoning: false,
                id: "abc-123",
                isAssessment: false,
                isInteger: false,
                isRequired: true,
                max: 5.0,
                min: 0.0,
                name: "quality",
                type: "score",
                values: ["good", "bad", "neutral"],
              },
            ],
          },
        },
        type: "queues",
      },
    },
    queueId: "queue_id",
  };

apiInstance
  .updateLLMObsAnnotationQueueLabelSchema(params)
  .then((data: v2.LLMObsAnnotationQueueLabelSchemaResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
